<?php
	require_once('./files/header.php');
	
	if($user->GetData('UserLevel') != 'admin') {
		header('Location: ./index.php');
		exit();
	}
?>

<link href="js/advanced-datatable/css/demo_page.css" rel="stylesheet" />
<link href="js/advanced-datatable/css/demo_table.css" rel="stylesheet" />

<section id="main-content">
	<section class="wrapper">
		<div class="row">
			<div class="col-md-12">
				<section class="panel">
					<div class="panel-body profile-information">
						<div class="col-md-3">
							<div class="profile-pic text-center">
								<?php
									$user->GetImage();
								?>
							</div>
						</div>
						<div class="col-md-6">
							<div class="profile-desk">
								<h1>
									<?php
										echo(ucfirst($user->GetData('UserFirstName').' '));
										echo(ucfirst($user->GetData('UserLastName')));
									?>
								</h1>
								<span class="text-muted"><?php echo(ucfirst($user->GetData('UserName'))); ?></span>
								<p>
									Welcome to the administration panel.From here you can manage your social panel easily and change,update and remove data.
								</p>
							</div>
						</div>
						<div class="col-md-3">
							<div class="profile-statistics">
								<h1>
									<?php
										$stmt = $pdo->prepare('SELECT * FROM orders');
										$stmt->execute();
										
										echo $stmt->rowCount();
									?>
								</h1>
								<p>All sales</p>
								<h1>
									<?php
										$stmt = $pdo->prepare('SELECT * FROM deposits');
										$stmt->execute();
										
										$qty = 0;
										while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
											$qty += $row['DepositAmount'];
										}
										
										echo '$'.round($qty, 2);
									?>
								</h1>
								<p>All Earnings</p>
							</div>
						</div>
					</div>
				</section>
			</div>
			<div class="col-md-12">
				<section class="panel">
					<header class="panel-heading tab-bg-dark-navy-blue">
						<ul class="nav nav-tabs nav-justified ">
							<li class="active">
								<a data-toggle="tab" href="#users">Users</a>
							</li>
							<li>
								<a data-toggle="tab" href="#categories">Categories</a>
							</li>
							<li>
								<a data-toggle="tab" href="#services">Services</a>
							</li>
							<li>
								<a data-toggle="tab" href="#orders">User Orders</a>
							</li>
							<li>
								<a data-toggle="tab" href="#tickets">Tickets</a>
							</li>
						</ul>
					</header>
					<div class="panel-body">
						<div class="tab-content tasi-tab">
							<div id="users" class="tab-pane active">
								<div class="row">
									<div class="col-sm-12">
										<section class="panel">
											<header class="panel-heading">
												Manage website users.
											</header>
											<div class="panel-body">
												<div class="adv-table" id="current-users">
													<div class="btn-group">
														<a href="#addUser" onclick="clearResult();" role="button" data-toggle="modal" class="btn btn-primary">
															Add New <i class="fa fa-plus"></i>
														</a>
														<div id="addUser" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
															<div class="modal-dialog">
																<div class="modal-content">
																	<div class="modal-header">
																		<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
																		<h4 class="modal-title">Add New User</h4>
																	</div>
																	<div class="modal-body">
																		<form method="POST" class="form-horizontal" role="form">
																			<div class="form-group">
																				<label class="col-lg-2 col-sm-4 control-label">First Name</label>
																				<div class="col-lg-10">
																					<input type="text" class="form-control" id="user-first-name" placeholder="Account First Name" autocomplete="off">
																				</div>
																			</div>
																			<div class="form-group">
																				<label class="col-lg-2 col-sm-4 control-label">Last Name</label>
																				<div class="col-lg-10">
																					<input type="text" class="form-control" id="user-last-name" placeholder="Account Last Name" autocomplete="off">
																				</div>
																			</div>
																			<div class="form-group">
																				<label class="col-lg-2 col-sm-4 control-label">User Name</label>
																				<div class="col-lg-10">
																					<input type="text" class="form-control" id="user-name" placeholder="Account User Name" autocomplete="off">
																				</div>
																			</div>
																			<div class="form-group">
																				<label class="col-lg-2 col-sm-4 control-label">User E-mail</label>
																				<div class="col-lg-10">
																					<input type="email" class="form-control" id="user-email" placeholder="Account E-mail" autocomplete="off">
																				</div>
																			</div>
																			<div class="form-group">
																				<label class="col-lg-2 col-sm-4 control-label">User Password</label>
																				<div class="col-lg-10">
																					<input type="password" class="form-control" id="user-password" placeholder="Account Password">
																				</div>
																			</div>
																			<div class="form-group">
																				<label class="col-lg-2 col-sm-4 control-label">User Group</label>
																				<div class="col-lg-10">
																					<select class="form-control" id="user-level">
																						<optgroup label="User Group">
																							<option value="default">Default User</option>
																							<option value="banned">Banned User</option>
																							<option value="admin">Admin User</option>
																						</optgroup>
																					</select>
																				</div>
																			</div>
																			<div class="form-group">
																				<label class="col-lg-2 col-sm-4 control-label">User Funds</label>
																				<div class="col-lg-10">
																					<input type="text" class="form-control" value="0" id="user-funds" placeholder="Account Funds">
																				</div>
																			</div>
																			<div class="form-group">
																				<div class="col-lg-offset-2 col-lg-10">
																					<button type="submit" id="create-user" class="btn btn-info">Create</button>
																				</div>
																			</div>
																		</form>
																		<div id="result"></div>
																	</div>
																	<div class="modal-footer">
																		<button class="btn btn-default" data-dismiss="modal" aria-hidden="true">Close</button>
																	</div>
																</div>
															</div>
														</div>
													</div>
													<hr>
													<?php
														$stmt = $pdo->prepare('SELECT * FROM users ORDER BY UserID DESC');
														$stmt->execute();
														
														if($stmt->rowCount() > 0) {
													?>
															<section id="unseen">
																<table cellpadding="0" cellspacing="0" border="0" class="table table-bordered table-striped table-condensed" id="dynamic-table">
																	<thead>
																		<tr>
																			<th>#</th>
																			<th>User Name</th>
																			<th>First Name</th>
																			<th>Last Name</th>
																			<th>User Email</th>
																			<th>User Funds</th>
																			<th>User Group</th>
																			<th>Edit</th>
																		</tr>
																	</thead>
																	<tbody>
																		<?php
																			foreach($stmt->fetchAll() as $row) {
																				
																				$html = '<tr>';
																				$html .= '<th class="numeric">'.$row['UserID'].'</th>';
																				$html .= '<th>'.$row['UserName'].'</th>';
																				$html .= '<th>'.$row['UserFirstName'].'</th>';
																				$html .= '<th>'.$row['UserLastName'].'</th>';
																				$html .= '<th>'.$row['UserEmail'].'</th>';
																				$html .= '<th>$'.round($row['UserFunds'], 2).'</th>';
																				$html .= '<th>'.ucfirst($row['UserLevel']).'</th>';
																				$html .= '<th><a href=user-edit.php?user-id='.$row['UserID'].' class="btn btn-info">Edit</a></th>';
																				$html .= '</tr>';
																				
																				echo $html;
																			}
																		?>
																	</tbody>
																</table>
															</section>
													<?php
														} else {
															$display->ReturnInfo('There are no users for displaying.');
														}
													?>
												</div>
											</div>
										</section>
									</div>
								</div>
							</div>
							<div id="categories" class="tab-pane">
								<div class="row">
									<div class="col-sm-12">
										<section class="panel">
											<header class="panel-heading">
												Manage website categories.
											</header>
											<div class="panel-body">
												<div class="adv-table" id="current-users">
													<div class="btn-group">
														<a href="#createCategory" onclick="clearResult();" role="button" data-toggle="modal" class="btn btn-primary">
															New Category <i class="fa fa-plus"></i>
														</a>
														<div id="createCategory" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
															<div class="modal-dialog">
																<div class="modal-content">
																	<div class="modal-header">
																		<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
																		<h4 class="modal-title">Add New Category</h4>
																	</div>
																	<div class="modal-body">
																		<form method="POST" class="form-horizontal" role="form">
																			<div class="form-group">
																				<label class="col-lg-2 col-sm-4 control-label">Category Name</label>
																				<div class="col-lg-10">
																					<input type="text" class="form-control" id="category-name" placeholder="Category Name" autocomplete="off">
																				</div>
																			</div>
																			<div class="form-group">
																				<label class="col-lg-2 col-sm-4 control-label">Category Description</label>
																				<div class="col-lg-10">
																					<textarea class="form-control" rows="10" id="category-description" placeholder="Category Description" autocomplete="off"></textarea>
																				</div>
																			</div>
																			<div class="form-group">
																				<div class="col-lg-offset-2 col-lg-10">
																					<button type="submit" id="create-category" class="btn btn-info">Create</button>
																				</div>
																			</div>
																		</form>
																		<div id="category-result"></div>
																	</div>
																	<div class="modal-footer">
																		<button class="btn btn-default" data-dismiss="modal" aria-hidden="true">Close</button>
																	</div>
																</div>
															</div>
														</div>
													</div>
													<hr>
													<?php
														$stmt = $pdo->prepare('SELECT * FROM categories');
														$stmt->execute();
														
														if($stmt->rowCount() > 0) {
													?>
															<section id="unseen">
																<table cellpadding="0" cellspacing="0" border="0" class="display table table-bordered" id="dynamic-table-categories">
																	<thead>
																		<tr>
																			<th>#</th>
																			<th>Category Name</th>
																			<th>Category Description</th>
																			<th>Category Create Date</th>
																			<th>Edit</th>
																		</tr>
																	</thead>
																	<tbody>
																		<?php
																			
																			
																			foreach($stmt->fetchAll() as $row) {
																				
																				$html = '<tr>';
																				$html .= '<th class="numeric">'.$row['CategoryID'].'</th>';
																				$html .= '<th>'.ucfirst($row['CategoryName']).'</th>';
																				$html .= '<th>'.ucfirst($row['CategoryDescription']).'</th>';
																				$html .= '<th>'.date('d M - Y, H:i', $row['CategoryCreatedDate']).'</th>';
																				$html .= '<th><a href=category-edit.php?category-id='.$row['CategoryID'].' class="btn btn-info">Edit</a></th>';
																				$html .= '</tr>';
																				
																				echo $html;
																			}
																		?>
																	</tbody>
																</table>
															</section>
													<?php
														} else {
															$display->ReturnInfo('There are no categories for displaying.');
														}
													?>
												</div>
											</div>
										</section>
									</div>
								</div>
							</div>
							<div id="services" class="tab-pane ">
								<div class="row">
									<div class="col-sm-12">
										<section class="panel">
											<header class="panel-heading">
												Manage website services.
											</header>
											<div class="panel-body">
												<div class="adv-table" id="current-users">
													<div class="btn-group">
														<a href="#createService" role="button" data-toggle="modal" class="btn btn-warning">
															New Service <i class="fa fa-plus"></i>
														</a>
														<div id="createService" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
															<div class="modal-dialog">
																<div class="modal-content">
																	<div class="modal-header">
																		<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
																		<h4 class="modal-title">Add New Service</h4>
																	</div>
																	<div class="modal-body">
																		<form method="POST" class="form-horizontal" role="form">
																			<div class="form-group">
																				<label class="col-lg-2 col-sm-4 control-label">Service Name</label>
																				<div class="col-lg-10">
																					<input type="text" class="form-control" id="service-name" placeholder="Service Name" autocomplete="off">
																				</div>
																			</div>
																			<div class="form-group">
																				<label class="col-lg-2 col-sm-4 control-label">Service Description</label>
																				<div class="col-lg-10">
																					<textarea class="form-control" rows="3" id="service-description" placeholder="Service Description" autocomplete="off"></textarea>
																				</div>
																			</div>
																			<div class="form-group">
																				<label class="col-lg-2 col-sm-4 control-label">Service Min. Quantity</label>
																				<div class="col-lg-10">
																					<input type="number" class="form-control" rows="3" id="service-minimum-quantity" placeholder="Service Minimum Quantity Required Per Purchase (Example: 1000)" autocomplete="off">
																				</div>
																			</div>
																			<div class="form-group">
																				<label class="col-lg-2 col-sm-4 control-label">Service Price</label>
																				<div class="col-lg-10">
																					<input type="number" class="form-control" rows="3" id="service-price-per-quantity" placeholder="Service Price per Minimum Quantity (Example: 1000x = $5)" autocomplete="off">
																				</div>
																			</div>
																			<div class="form-group">
																				<label class="col-lg-2 col-sm-4 control-label">Service Category</label>
																				<div class="col-lg-10">
																					<select class="form-control" id="service-category">
																						<optgroup label="Example: Likes for category Facebook.">
																							<option value="selected="true" style="display:none;">Assign this service to category.</option>
																							<?php
																								$stmt = $pdo->prepare('SELECT * FROM categories ORDER BY CategoryID');
																								$stmt->execute();
																								
																								if($stmt->rowCount() > 0) {
																									foreach($stmt->fetchAll() as $row) {
																										echo '<option value="'.$row['CategoryID'].'">'.ucfirst($row['CategoryName']).'</option>';
																									}
																								} else {
																									echo '<option>There are no categories in the database.</option>';
																								}
																							?>
																						</optgroup>
																					</select>
																				</div>
																			</div>
																			<div class="form-group" id="service-api">
																				<div id="api">
																					<button type="button" onclick="addAPI();" class="btn btn-primary pull-right">Add API (If available)</button>
																					<input type="hidden" value="" id="service-api-link"/>
																				</div>
																			</div>
																			<div class="form-group">
																				<div class="col-lg-offset-2 col-lg-10">
																					<button type="submit" id="create-service" class="btn btn-info">Create</button>
																				</div>
																			</div>
																		</form>
																		<div id="service-result"></div>
																	</div>
																	<div class="modal-footer">
																		<button class="btn btn-default" data-dismiss="modal" aria-hidden="true">Close</button>
																	</div>
																</div>
															</div>
														</div>
													</div>
													<hr>
													<?php
														$stmt = $pdo->prepare('SELECT * FROM products');
														$stmt->execute(); 
														
														if($stmt->rowCount() > 0) {
													?>
															<section id="unseen">
																<table cellpadding="0" cellspacing="0" border="0" class="display table table-bordered" id="dynamic-table-services">
																	<thead>
																		<tr>
																			<th>#</th>
																			<th>Service Name</th>
																			<th>Service Description</th>
																			<th>Service Category</th>
																			<th>Service Quantity</th>
																			<th>Service Price per Quantity</th>
																			<th>Service Create Date</th>
																			<th>Service API</th>
																			<th>Edit</th>
																		</tr>
																	</thead>
																	<tbody>
																		<?php
																			foreach($stmt->fetchAll() as $row) {
																				$CategoryID = $row['ProductCategoryID'];
																				$CategoryName = $category->GetData($CategoryID, 'CategoryName');
																				
																				
																				if(empty($row['ProductAPI'])) {
																					$api = 'No API.';
																				} else {
																					$api = $row['ProductAPI'];
																				}
																				
																				$html = '<tr>';
																				$html .= '<th>'.$row['ProductID'].'</th>';
																				$html .= '<th>'.ucfirst($row['ProductName']).'</th>';
																				$html .= '<th>'.ucfirst($row['ProductDescription']).'</th>';
																				$html .= '<th>'.ucfirst($CategoryName).'</th>';
																				$html .= '<th>'.ucfirst($row['ProductMinimumQuantity']).'</th>';
																				$html .= '<th>$'.ucfirst($row['ProductPrice']).'</th>';
																				$html .= '<th>'.date('d M - Y, H:i', $row['ProductCreatedDate']).'</th>';
																				$html .= '<th>'.$api.'</th>';
																				$html .= '<th><a href=service-edit.php?service-id='.$row['ProductID'].' class="btn btn-info">Edit</a></th>';
																				$html .= '</tr>';
																				
																				echo $html;
																			}
																		?>
																	</tbody>
																</table>
															</section>
													<?php
														} else {
															$display->ReturnInfo('There are no services for displaying.');
														}
													?>
												</div>
											</div>
										</section>
									</div>
								</div>
							</div>
							<div id="orders" class="tab-pane ">
								<div class="row">
									<div class="col-sm-12">
										<section class="panel">
											<header class="panel-heading">
												Manage website orders.
											</header>
											<div class="panel-body">
												<div class="adv-table" id="current-users">
													<?php
														$stmt = $pdo->prepare('SELECT * FROM orders');
														$stmt->execute();
														
														if($stmt->rowCount() > 0) {
													?>
														<section id="unseen">
															<table cellpadding="0" cellspacing="0" border="0" class="display table table-bordered" id="dynamic-table-user-orders">
																<thead>
																	<tr>
																		<th>#</th>
																		<th>Order User Name</th>
																		<th>Order Product</th>
																		<th>Order Link</th>
																		<th>Order Amount</th>
																		<th>Order Quantity</th>
																		<th>Order Status</th>
																		<th>Order Date</th>
																	</tr>
																</thead>
																<tbody>
																	<?php
																		foreach($stmt->fetchAll() as $row) {
																			$ProductID = $row['OrderProductID'];
																			$ProductName = $product->GetData($ProductID, 'ProductName');
																			$UserName = $user->GetDataID($row['OrderUserID'], 'UserName');
																			$OrderStatus = $row['OrderStatus'];
																			
																			$html = '<tr>';
																			$html .= '<th>'.$row['OrderID'].'</th>';
																			$html .= '<th>'.$UserName.'</th>';
																			$html .= '<th>'.ucfirst($ProductName).'</th>';
																			$html .= '<th>'.$row['OrderLink'].'</th>';
																			$html .= '<th>$'.round($row['OrderAmount'], 2).'</th>';
																			$html .= '<th>'.$row['OrderQuantity'].'</th>';
																			$html .= '<th>';
																			$html .= '<select class="form-control" id="change-order-status-'.$row['OrderID'].'" onchange="updateOrderStatus('.$row['OrderID'].')">';
																			$html .= '<optgroup label="Update order status.">';
																			$html .= '<option value="'.$OrderStatus.'" selected="true" style="display:none;">'.$OrderStatus.'</option>';
																			$html .= '<option value="Unprocessed">Unprocessed</option>';
																			$html .= '<option value="Completed">Completed</option>';
																			$html .= '<option value="In Process">In Process</option>';
																			$html .= '<option value="On Hold">On Hold</option>';
																			$html .= '<option value="Refunded">Refunded</option>';
																			$html .= '<option value="Removed">Removed</option>';
																			$html .= '</optgroup>';
																			$html .= '<optgroup label="Delete order from database.">';
																			$html .= '<option value="Delete Order">Delete Order</option>';
																			$html .= '</optgroup>';
																			$html .= '</select>';
																			$html .= '</th>';
																			$html .= '<th>'.date('d-m-Y', $row['OrderDate']).'</th>';
																			$html .= '</tr>';
																			
																			echo $html;
																		}
																	?>
																</tbody>
															</table>
														</section>
													<?php
														} else {
															$display->ReturnInfo('There are no orders for displaying.');
														}
													?>
												</div>
											</div>
										</section>
									</div>
								</div>
							</div>
							<div id="tickets" class="tab-pane ">
								<div class="row">
									<div class="col-sm-12">
										<section class="panel">
											<header class="panel-heading">
												Manage user tickets.
											</header>
											<div class="panel-body">
												<div class="adv-table" id="current-users">
													<?php
														$stmt = $pdo->prepare('SELECT * FROM support ORDER BY SupportID DESC');
														$stmt->execute();
														
														if($stmt->rowCount() > 0) {
													?>
															<section id="unseen">
																<table cellpadding="0" cellspacing="0" border="0" class="display table table-bordered" id="dynamic-table-tickets">
																	<thead>
																		<tr>
																			<th>#</th>
																			<th>Ticket User</th>
																			<th>Ticket Title</th>
																			<th>Ticket Message</th>
																			<th>Ticket Date</th>
																			<th>Ticket Reply</th>
																			<th>Ticket Save</th>
																			<th>Ticket Delete</th>
																		</tr>
																	</thead>
																	<tbody>
																		<?php
																			foreach($stmt->fetchAll() as $row) {
																				$UserName = $user->GetDataID($row['SupportUserID'], 'UserName');
																				
																				$html = '<form method="POST">';
																				$html .= '<tr id="ticket-'.$row['SupportID'].'">';
																				$html .= '<th>'.$row['SupportID'].'</th>';
																				$html .= '<th>'.$UserName.'</th>';
																				$html .= '<th>'.$row['SupportTitle'].'</th>';
																				$html .= '<th>'.$row['SupportMessage'].'</th>';
																				$html .= '<th>'.date('d-m-Y', $row['SupportDate']).'</th>';
																				$html .= '<th><div class="form-group"><textarea id="ticket-reply-'.$row['SupportID'].'" class="form-control" placeholder="Ticket Reply">'.($row['SupportReply']).'</textarea></div></th>';
																				$html .= '<th><button type="button" onclick="replyTicket('.$row['SupportID'].');" class="btn btn-success">Save</button></th>';
																				$html .= '<th><button type="button" onclick="deleteTicket('.$row['SupportID'].');" class="btn btn-danger">Delete</button></th>';
																				$html .= '</tr>';
																				$html .= '</form>';
																				
																				echo $html;
																			}
																		?>
																	</tbody>
																</table>
															</section>
													<?php
														} else {
															$display->ReturnInfo('There are no tickets for displaying.');
														}
													?>
												</div>
											</div>
										</section>
									</div>
								</div>
							</div>
						</div>
						<button type="submit" id="page-refresh" class="btn btn-primary pull-right fa fa-refresh"></button>
					</div>
				</section>
			</div>
		</div>
	</section>
</section>
<?php
	require_once('./files/footer.php');
?>