/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*Table structure for table `categories` */

DROP TABLE IF EXISTS `categories`;

CREATE TABLE `categories` (
  `CategoryID` int(244) NOT NULL AUTO_INCREMENT,
  `CategoryName` blob NOT NULL,
  `CategoryDescription` blob NOT NULL,
  `CategoryCreatedDate` int(244) NOT NULL,
  PRIMARY KEY (`CategoryID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

/*Table structure for table `deposits` */

DROP TABLE IF EXISTS `deposits`;

CREATE TABLE `deposits` (
  `DepositID` int(244) NOT NULL AUTO_INCREMENT,
  `DepositUserID` int(244) NOT NULL,
  `DepositDate` int(244) NOT NULL,
  `DepositAmount` varchar(244) CHARACTER SET latin1 NOT NULL,
  `DepositVerification` blob NOT NULL,
  `DepositGateway` enum('Paypal','Skrill') NOT NULL,
  PRIMARY KEY (`DepositID`),
  KEY `deposituserid` (`DepositUserID`),
  CONSTRAINT `deposituserid` FOREIGN KEY (`DepositUserID`) REFERENCES `users` (`UserID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

/*Table structure for table `logs` */

DROP TABLE IF EXISTS `logs`;

CREATE TABLE `logs` (
  `LogID` int(244) NOT NULL AUTO_INCREMENT,
  `LogUserID` int(244) NOT NULL,
  `LogDate` int(244) NOT NULL,
  `LogIPAddress` blob NOT NULL,
  PRIMARY KEY (`LogID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

/*Table structure for table `merchant` */

DROP TABLE IF EXISTS `merchant`;

CREATE TABLE `merchant` (
  `MerchantPaypalEmail` blob NOT NULL,
  `MerchantSkrillEmail` blob NOT NULL,
  `MerchantSkrillSecret` blob NOT NULL,
  `MerchantWebsiteName` blob NOT NULL,
  `MerchantRecoveryEmail` blob NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `news` */

DROP TABLE IF EXISTS `news`;

CREATE TABLE `news` (
  `NewsID` int(244) NOT NULL AUTO_INCREMENT,
  `NewsTitle` blob NOT NULL,
  `NewsContent` blob NOT NULL,
  `NewsDate` int(244) NOT NULL,
  `NewsUserID` int(244) NOT NULL,
  PRIMARY KEY (`NewsID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

/*Table structure for table `orders` */

DROP TABLE IF EXISTS `orders`;

CREATE TABLE `orders` (
  `OrderID` int(244) NOT NULL AUTO_INCREMENT,
  `OrderUserID` int(244) NOT NULL,
  `OrderProductID` int(244) NOT NULL,
  `OrderDate` int(244) NOT NULL,
  `OrderAmount` blob NOT NULL,
  `OrderLink` blob NOT NULL,
  `OrderQuantity` int(244) NOT NULL,
  `OrderStatus` enum('Unprocessed','In Process','On hold','Refunded','Completed','Removed') NOT NULL DEFAULT 'Unprocessed',
  PRIMARY KEY (`OrderID`),
  KEY `orderuserid` (`OrderUserID`),
  KEY `orderproductid` (`OrderProductID`),
  CONSTRAINT `orderproductid` FOREIGN KEY (`OrderProductID`) REFERENCES `products` (`ProductID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `orderuserid` FOREIGN KEY (`OrderUserID`) REFERENCES `users` (`UserID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

/*Table structure for table `products` */

DROP TABLE IF EXISTS `products`;

CREATE TABLE `products` (
  `ProductID` int(244) NOT NULL AUTO_INCREMENT,
  `ProductCategoryID` int(244) NOT NULL,
  `ProductName` blob NOT NULL,
  `ProductDescription` blob NOT NULL,
  `ProductMinimumQuantity` int(244) NOT NULL,
  `ProductPrice` blob NOT NULL,
  `ProductAPI` blob NOT NULL,
  `ProductCreatedDate` int(244) NOT NULL,
  PRIMARY KEY (`ProductID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

/*Table structure for table `support` */

DROP TABLE IF EXISTS `support`;

CREATE TABLE `support` (
  `SupportID` int(244) NOT NULL AUTO_INCREMENT,
  `SupportUserID` int(244) NOT NULL,
  `SupportTitle` blob NOT NULL,
  `SupportMessage` blob NOT NULL,
  `SupportDate` int(244) NOT NULL,
  `SupportReply` blob NOT NULL,
  PRIMARY KEY (`SupportID`),
  KEY `supportuserid` (`SupportUserID`),
  CONSTRAINT `supportuserid` FOREIGN KEY (`SupportUserID`) REFERENCES `users` (`UserID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

/*Table structure for table `users` */

DROP TABLE IF EXISTS `users`;

CREATE TABLE `users` (
  `UserID` int(244) NOT NULL AUTO_INCREMENT,
  `UserName` blob NOT NULL,
  `UserEmail` blob NOT NULL,
  `UserPassword` blob NOT NULL,
  `UserLevel` enum('default','banned','admin') CHARACTER SET latin1 NOT NULL DEFAULT 'default',
  `UserFirstName` blob NOT NULL,
  `UserLastName` blob NOT NULL,
  `UserRegistrationDate` int(244) NOT NULL,
  `UserRegistrationAddress` blob NOT NULL,
  `UserFunds` varchar(244) NOT NULL DEFAULT '0',
  `UserImage` blob,
  PRIMARY KEY (`UserID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
