<?php

require_once('./files/functions.php');

$pdo->setAttribute( PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION );
try {
	$pdo->exec("DROP TABLE IF EXISTS `categories`;CREATE TABLE `categories` (`CategoryID` int(244) NOT NULL AUTO_INCREMENT,`CategoryName` blob NOT NULL,`CategoryDescription` blob NOT NULL,`CategoryCreatedDate` int(244) NOT NULL,PRIMARY KEY (`CategoryID`)) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");
	$pdo->exec("DROP TABLE IF EXISTS `deposits`;CREATE TABLE `deposits` (`DepositID` int(244) NOT NULL AUTO_INCREMENT,`DepositUserID` int(244) NOT NULL,`DepositDate` int(244) NOT NULL,`DepositAmount` varchar(244) CHARACTER SET latin1 NOT NULL,`DepositVerification` blob NOT NULL,`DepositGateway` enum('Paypal','Skrill') NOT NULL,PRIMARY KEY (`DepositID`),KEY `deposituserid` (`DepositUserID`),CONSTRAINT `deposituserid` FOREIGN KEY (`DepositUserID`) REFERENCES `users` (`UserID`) ON DELETE CASCADE ON UPDATE CASCADE) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");
	$pdo->exec("DROP TABLE IF EXISTS `individualprices`;CREATE TABLE `individualprices` (`IPID` int(244) NOT NULL AUTO_INCREMENT,`IPUserID` int(244) NOT NULL,`IPProductID` int(244) NOT NULL,`IPPrice` blob NOT NULL,PRIMARY KEY (`IPID`),KEY `ipuserid` (`IPUserID`),KEY `ipproductid` (`IPProductID`),CONSTRAINT `ipproductid` FOREIGN KEY (`IPProductID`) REFERENCES `products` (`ProductID`) ON DELETE CASCADE ON UPDATE CASCADE,CONSTRAINT `ipuserid` FOREIGN KEY (`IPUserID`) REFERENCES `users` (`UserID`) ON DELETE CASCADE ON UPDATE CASCADE) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");
	$pdo->exec("DROP TABLE IF EXISTS `logs`;CREATE TABLE `logs` (`LogID` int(244) NOT NULL AUTO_INCREMENT,`LogUserID` int(244) NOT NULL,`LogDate` int(244) NOT NULL,`LogIPAddress` blob NOT NULL,PRIMARY KEY (`LogID`)) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;");
	$pdo->exec("DROP TABLE IF EXISTS `merchant`;CREATE TABLE `merchant` (`MerchantPaypalEmail` blob NOT NULL,`MerchantSkrillEmail` blob NOT NULL,`MerchantSkrillSecret` blob NOT NULL,`MerchantWebsiteName` blob NOT NULL,`MerchantRecoveryEmail` blob NOT NULL) ENGINE=InnoDB DEFAULT CHARSET=utf8;");
	$pdo->exec("DROP TABLE IF EXISTS `news`;CREATE TABLE `news` (`NewsID` int(244) NOT NULL AUTO_INCREMENT,`NewsTitle` blob NOT NULL,`NewsContent` blob NOT NULL,`NewsDate` int(244) NOT NULL,`NewsUserID` int(244) NOT NULL,PRIMARY KEY (`NewsID`)) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");
	$pdo->exec("DROP TABLE IF EXISTS `orders`;CREATE TABLE `orders` (`OrderID` int(244) NOT NULL AUTO_INCREMENT,`OrderUserID` int(244) NOT NULL,`OrderProductID` int(244) NOT NULL,`OrderDate` int(244) NOT NULL,`OrderAmount` blob NOT NULL,`OrderLink` blob NOT NULL,`OrderQuantity` int(244) NOT NULL,`OrderStatus` enum('Unprocessed','In Process','On hold','Refunded','Completed','Removed') NOT NULL DEFAULT 'Unprocessed',PRIMARY KEY (`OrderID`),KEY `orderuserid` (`OrderUserID`),KEY `orderproductid` (`OrderProductID`),CONSTRAINT `orderproductid` FOREIGN KEY (`OrderProductID`) REFERENCES `products` (`ProductID`) ON DELETE CASCADE ON UPDATE CASCADE,CONSTRAINT `orderuserid` FOREIGN KEY (`OrderUserID`) REFERENCES `users` (`UserID`) ON DELETE CASCADE ON UPDATE CASCADE) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");
	$pdo->exec("DROP TABLE IF EXISTS `products`;CREATE TABLE `products` (`ProductID` int(244) NOT NULL AUTO_INCREMENT,`ProductCategoryID` int(244) NOT NULL,`ProductName` blob NOT NULL,`ProductDescription` blob NOT NULL,`ProductMinimumQuantity` int(244) NOT NULL,`ProductPrice` blob NOT NULL,`ProductAPI` blob NOT NULL,`ProductCreatedDate` int(244) NOT NULL,`ProductResellerPrice` blob NOT NULL,PRIMARY KEY (`ProductID`)) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");
	$pdo->exec("DROP TABLE IF EXISTS `support`;CREATE TABLE `support` (`SupportID` int(244) NOT NULL AUTO_INCREMENT,`SupportUserID` int(244) NOT NULL,`SupportTitle` blob NOT NULL,`SupportMessage` blob NOT NULL,`SupportDate` int(244) NOT NULL,`SupportReply` blob NOT NULL,PRIMARY KEY (`SupportID`),KEY `supportuserid` (`SupportUserID`),CONSTRAINT `supportuserid` FOREIGN KEY (`SupportUserID`) REFERENCES `users` (`UserID`) ON DELETE CASCADE ON UPDATE CASCADE) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");
	$pdo->exec("DROP TABLE IF EXISTS `users`;CREATE TABLE `users` (`UserID` int(244) NOT NULL AUTO_INCREMENT,`UserName` blob NOT NULL,`UserEmail` blob NOT NULL,`UserPassword` blob NOT NULL,`UserLevel` enum('default','banned','admin','reseller') CHARACTER SET latin1 NOT NULL DEFAULT 'default',`UserFirstName` blob NOT NULL,`UserLastName` blob NOT NULL,`UserRegistrationDate` int(244) NOT NULL,`UserRegistrationAddress` blob NOT NULL,`UserFunds` varchar(244) NOT NULL DEFAULT '0',`UserImage` blob,PRIMARY KEY (`UserID`)) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");
} catch(Exception $e) {
	echo('Some or all of the tables are already existing.');
	exit();
}
$html = 'All tables were successfully inserted.Now le\'ts create an admin user.';
$html .= '<form method="POST">';
$html .= '<input type="text" name="username" autocomplete="off" required placeholder="Username"/>';
$html .= '<input type="email" name="email" autocomplete="off" required placeholder="E-mail"/>';
$html .= '<input type="password" name="password" autocomplete="off" required placeholder="Password"';
$html .= '<input type="text" name="firstname" autocomplete="off" required placeholder="First Name"';
$html .= '<input type="text" name="lastname" autocomplete="off" required placeholder="Last Name"';
$html .= '<input type="reset" value="Clear Form"/>';
$html .= '<input type="submit" name="register" value="Register"/>';
$html .= '</form>';

echo $html;

if(isset($_POST['register'])) {
	if(isset($_POST['username']) && !empty($_POST['username']) && is_string($_POST['username']) && isset($_POST['email']) && !empty($_POST['email']) && is_string($_POST['email']) && isset($_POST['password']) && !empty($_POST['password']) && is_string($_POST['password']) && isset($_POST['firstname']) && !empty($_POST['firstname']) && is_string($_POST['firstname']) && isset($_POST['lastname']) && !empty($_POST['lastname']) && is_string($_POST['lastname'])) {
		if(strlen($_POST['username']) >= 4 && strlen($_POST['username']) <= 16) {
			if(strlen($_POST['password']) >= 6 && strlen($_POST['password']) <= 32) {
				if(!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL) === false) {
					$stmt = $pdo->prepare('SELECT * FROM users');
					$stmt->execute();
					
					if($stmt->rowCount() == 0) {
						$username = stripslashes(strip_tags($_POST['username']));
						$email = stripslashes(strip_tags($_POST['email']));
						$password = md5($_POST['password']);
						$firstname = stripslashes(strip_tags($_POST['firstname']));
						$lastname = stripslashes(strip_tags($_POST['lastname']));
						$time = time();
						$address = $_SERVER['REMOTE_ADDR'];
						
						$stmt = $pdo->prepare('INSERT INTO users (UserName, UserEmail, UserPassword, UserFirstName, UserLastName, UserRegistrationDate, UserRegistrationAddress, UserLevel) VALUES
						(:UserName, :UserEmail, :UserPassword, :UserFirstName, :UserLastName, :UserRegistrationDate, :UserRegistrationAddress, :UserLevel)');
						$stmt->execute(array(':UserName' => $username, ':UserEmail' => $email, ':UserPassword' => $password, ':UserFirstName' => $firstname, ':UserLastName' => $lastname, ':UserRegistrationDate' => $time, ':UserRegistrationAddress' => $address, ':UserLevel' => 'admin'));
						
						$html = 'User successfully registered! Username: '.$username.' with password: '.$_POST['password'].'';
						$html .= '<hr>';
						$html .= 'File is deleted from the server due security reasons.';
						
						echo $html;
						unlink('installer.php');
					} else {
						echo('There is already registered member on the panel.Deleting this file due security reasons.');
						unlink('installer.php');
					}
				} else {
					echo('The entered E-mail address is invalid.');
				}
			} else {
				echo('Password length have to be from 6 to 32 characters.');
			}
		} else {
			echo('Username length have to be from 4 to 16 characters.');
		}
	} else {
		echo('Fill all fields correctly before submitting the form.');
	}
}