<?php
	require_once('./files/header.php');
?>
<link href="js/advanced-datatable/css/demo_page.css" rel="stylesheet" />
<link href="js/advanced-datatable/css/demo_table.css" rel="stylesheet" />
<section id="main-content">
	<section class="wrapper">
		<div class="row">
			<div class="col-md-3">
				<div class="mini-stat clearfix">
					<span class="mini-stat-icon orange"><i class="fa fa-gavel"></i></span>
					<div class="mini-stat-info">
						<span>
							<?php
								$UserID = $user->GetData('UserID');
								
								$stmt = $pdo->prepare('SELECT * FROM orders WHERE OrderUserID = :OrderUserID');
								$stmt->bindParam(':OrderUserID', $UserID);
								$stmt->execute();
								
								echo $stmt->rowCount();
							?>
						</span>
						Account Orders
					</div>
				</div>
			</div>
			<div class="col-md-3">
				<div class="mini-stat clearfix">
					<span class="mini-stat-icon tar"><i class="fa fa-tag"></i></span>
					<div class="mini-stat-info">
						<span>
							<?php
								$stmt = $pdo->prepare('SELECT * FROM products');
								$stmt->execute();
								
								echo $stmt->rowCount();
							?>
						</span>
						Offered services
					</div>
				</div>
			</div>
			<div class="col-md-3">
				<div class="mini-stat clearfix">
					<span class="mini-stat-icon pink"><i class="fa fa-money"></i></span>
					<div class="mini-stat-info">
						<span>
							<?php
								$stmt = $pdo->prepare('SELECT * FROM orders');
								$stmt->execute();
								
								echo $stmt->rowCount();
							?>
						</span>
						Total Orders
					</div>
				</div>
			</div>
			<div class="col-md-3">
				<div class="mini-stat clearfix">
					<span class="mini-stat-icon green"><i class="fa fa-eye"></i></span>
					<div class="mini-stat-info">
						<span>
							<?php
								$stmt = $pdo->prepare('SELECT * FROM users');
								$stmt->execute();
								
								echo $stmt->rowCount();
							?>
						</span>
						Total Users
					</div>
				</div>
			</div>
		</div>
		<!--mini statistics end-->
		<div class="row">
			<div class="col-md-12">
				<section class="panel">
					<header class="panel-heading">
						Account Order History
						<span class="tools pull-right">
							<a href="javascript:;" class="fa fa-chevron-down"></a>
							<a href="javascript:;" class="fa fa-times"></a>
						</span>
					</header>
					<div class="panel-body">
						<div class="adv-table">
							<?php
								$UserID = $user->GetData('UserID');
								
								$stmt = $pdo->prepare('SELECT * FROM orders WHERE OrderUserID = :OrderUserID ORDER BY OrderDate DESC');
								$stmt->bindParam(':OrderUserID', $UserID);
								$stmt->execute();
								
								if($stmt->rowCount() > 0) {
							?>
								<section id="unseen">
									<table cellpadding="0" cellspacing="0" border="0" class="table table-bordered table-striped table-condensed" id="dynamic-table-user-orders">
										<thead>
											<tr>
												<th>Ordered Service</th>
												<th>Order Quantity</th>
												<th>Order Amount</th>
												<th>Order Link</th>
												<th>Order Date</th>
												<th>Order Status</th>
											</tr>
										</thead>
										<tbody>
											<?php
												$html = '';
											
												foreach($stmt->fetchAll() as $row) {
													$html .= '<tr class="">';
													$html .= '<td>'.$product->GetData($row['OrderProductID'], 'ProductName').'</td>';
													$html .= '<td>'.$row['OrderQuantity'].'</td>';
													$html .= '<td>$'.round($row['OrderAmount'], 2).'</td>';
													$html .= '<td>'.$row['OrderLink'].'</td>';
													$html .= '<td>'.date('d M, Y h:I:s', $row['OrderDate']).'</td>';
													$html .= '<td class="center">'.$row['OrderStatus'].'.</td>';
													$html .= '</tr>';
												}
												
												echo $html;
											?>
										</tbody>
									</table>
								</section>
							<?php
								} else {
									$display->ReturnInfo('Your account does not have any orders at this time.');
								}
							?>
						</div>
					</div>
				</section>
			</div>
		</div>
	</section>
</section>
<?php
	require_once('./files/footer.php');
?>